body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a{
    text-decoration: none;
    color: #262626;
    font-family: roboto;
    font-size: 40px;
    /* border: 5px solid #5500FF; */
    font-weight: 300;
    letter-spacing: 0;
    padding: 40px 80px;
    position: relative;
    transition: color 800ms 200ms;
    overflow: hidden;
    transition: all 1s;
    border-radius: 30px;
}

a:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #5500FF;
    border-radius: 30px;
    z-index: -2;
}

a:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: #4400BB;
    border-radius: 30px;
    z-index: -1;
    transition: all 0.4s;
}

a:hover:before{
    width: 100%;
}
a:hover{
    color:#FFF;
}